package cn.com.countrygarden.bi.main.model.dup;

import java.util.Date;

/**
 * <pre>
 * 。车位移交明细Dto
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public class ParkingSpacesTransferDetail {

	private int id;//车位移交明细id
	private String organName;//'区域
	private String organCode;//区域代码
	private String  commName;//项目名
	private int  commId;//项目id
	private String parkName;//苑区
	private String contractAddress;//合同路址
	private String roomCode;//房间代码
	private String parkingSpacesAttributes;//车位属性
	private double predictionArea;//预测面积
	private double measuredArea;//'实测面积
	private Date advanceDate;//预售证日期
	private Date completionDate;//竣工日期
	private Date contractRepossessionDate;//苑区合同收楼日期
	private double fixedPrice;//定价
	private double preferentialPrice;//优惠折后价
	private double preferentialAveragePrice;//优惠折后均价
	private double averageStartCost;//分摊前成本
	private double averageEndCost;//分摊后成本
	private double transferPrice;//拟移交价格
	private String suiteModel;//房型(标准,微型,子母车位等)
	private String preferential;//优惠折扣(按序号排序使用折扣)
	private String paymentMethod;//付款方式（付款方式折扣比例）
	private Date createDate;//更新时间
	private String createDateStart;
	private String createDateEnd;
	
	//分页条件
	private int pageIndex;
	private int pageSize; 
	private String AccessToken;
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getOrganName() {
		return organName;
	}
	public void setOrganName(String organName) {
		this.organName = organName;
	}
	public String getOrganCode() {
		return organCode;
	}
	public void setOrganCode(String organCode) {
		this.organCode = organCode;
	}
	public String getCommName() {
		return commName;
	}
	public void setCommName(String commName) {
		this.commName = commName;
	}
	public int getCommId() {
		return commId;
	}
	public void setCommId(int commId) {
		this.commId = commId;
	}
	public String getParkName() {
		return parkName;
	}
	public void setParkName(String parkName) {
		this.parkName = parkName;
	}
	public String getContractAddress() {
		return contractAddress;
	}
	public void setContractAddress(String contractAddress) {
		this.contractAddress = contractAddress;
	}
	public String getRoomCode() {
		return roomCode;
	}
	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}
	public String getParkingSpacesAttributes() {
		return parkingSpacesAttributes;
	}
	public void setParkingSpacesAttributes(String parkingSpacesAttributes) {
		this.parkingSpacesAttributes = parkingSpacesAttributes;
	}
	
	public double getPredictionArea() {
		return predictionArea;
	}
	public void setPredictionArea(double predictionArea) {
		this.predictionArea = predictionArea;
	}
	public double getMeasuredArea() {
		return measuredArea;
	}
	public void setMeasuredArea(double measuredArea) {
		this.measuredArea = measuredArea;
	}
	public Date getAdvanceDate() {
		return advanceDate;
	}
	public void setAdvanceDate(Date advanceDate) {
		this.advanceDate = advanceDate;
	}
	public Date getCompletionDate() {
		return completionDate;
	}
	public void setCompletionDate(Date completionDate) {
		this.completionDate = completionDate;
	}
	public Date getContractRepossessionDate() {
		return contractRepossessionDate;
	}
	public void setContractRepossessionDate(Date contractRepossessionDate) {
		this.contractRepossessionDate = contractRepossessionDate;
	}
	public double getFixedPrice() {
		return fixedPrice;
	}
	public void setFixedPrice(double fixedPrice) {
		this.fixedPrice = fixedPrice;
	}
	public double getPreferentialPrice() {
		return preferentialPrice;
	}
	public void setPreferentialPrice(double preferentialPrice) {
		this.preferentialPrice = preferentialPrice;
	}
	public double getPreferentialAveragePrice() {
		return preferentialAveragePrice;
	}
	public void setPreferentialAveragePrice(double preferentialAveragePrice) {
		this.preferentialAveragePrice = preferentialAveragePrice;
	}
	public double getAverageStartCost() {
		return averageStartCost;
	}
	public void setAverageStartCost(double averageStartCost) {
		this.averageStartCost = averageStartCost;
	}
	public double getAverageEndCost() {
		return averageEndCost;
	}
	public void setAverageEndCost(double averageEndCost) {
		this.averageEndCost = averageEndCost;
	}
	public double getTransferPrice() {
		return transferPrice;
	}
	public void setTransferPrice(double transferPrice) {
		this.transferPrice = transferPrice;
	}
	public String getSuiteModel() {
		return suiteModel;
	}
	public void setSuiteModel(String suiteModel) {
		this.suiteModel = suiteModel;
	}
	public String getPreferential() {
		return preferential;
	}
	public void setPreferential(String preferential) {
		this.preferential = preferential;
	}
	public String getPaymentMethod() {
		return paymentMethod;
	}
	public void setPaymentMethod(String paymentMethod) {
		this.paymentMethod = paymentMethod;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public int getPageIndex() {
		return pageIndex;
	}
	public void setPageIndex(int pageIndex) {
		this.pageIndex = pageIndex;
	}
	public int getPageSize() {
		return pageSize;
	}
	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	public String getAccessToken() {
		return AccessToken;
	}
	public void setAccessToken(String accessToken) {
		AccessToken = accessToken;
	}
	public String getCreateDateStart() {
		return createDateStart;
	}
	public void setCreateDateStart(String createDateStart) {
		this.createDateStart = createDateStart;
	}
	public String getCreateDateEnd() {
		return createDateEnd;
	}
	public void setCreateDateEnd(String createDateEnd) {
		this.createDateEnd = createDateEnd;
	}
	
}
